EZ_GetScrollbarState(3)

NAME
EZ_GetScrollbarState, EZ_UpdateScrollbar - set and get the states of a scroll bar

SYNOPSIS
#include <EZ.h>

void EZ_GetScrollbarState(EZ_Widget *scrollbar,
      int *totalsize_ret, int *pagesize_ret, int *start_ret)

void EZ_UpdateScrollbar(EZ_Widget *scrollbar,
       int totalsize, int pagesize, int start)

ARGUMENTS
scrollbar Specifies a scrollbar widget.

totalsize_ret Specifies a return for the total size of the object controlled by the scrollbar.

pagesize_ret Specifies a return for the page size.

start_ret Specifies a return for the start position.

totalsize Specifies a the total size of the object controlled by the scrollbar.

pagesize Specifies the page size.

start Specifies the start position.

DESCRIPTION
A scrollbar controls the portion of an object to be displayed in a widget window. The state of a scrollbar consists of three parameters: The total size of the object, the page size of the widget window and the starting location of the displayed page relative to the starting point of the object. The displayed page is the segment
[start, start+pagesize]
in object.

EZ_GetScrollbarState returns the state of a scrollbar.

EZ_UpdateScrollbar sets the state of a scrollbar.

SEE ALSO
EZ_CreateWidget(3)